List Webhooks
List webhook endpoints, optionally filtered by sender profile.
List webhook endpoints. Each webhook response includes its signing secret.
Scope: verify.webhooks.read
Query Parameters
sender_profile_idstringoptionalFilter webhooks by sender profile ID.
limitintegeroptionalMaximum results to return. Defaults to 50 and is capped at 100.
Sample Request
Request
curl "https://api.maileroo.com/v1/verify/webhooks?sender_profile_id=prf_0123456789abcdef01234567&limit=50" \
-H "Authorization: Bearer roo_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"Sample Response
Returns 200 OK with the matching webhooks in data.
Response
{
"data": [
{
"id": "whk_0123456789abcdef01234567",
"account_id": "12345",
"sender_profile_id": "prf_0123456789abcdef01234567",
"url": "https://example.com/hooks/otp-verification",
"secret": "0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef",
"enabled": true,
"created_at": "2025-01-01T12:00:00Z",
"updated_at": "2025-01-01T12:00:00Z"
}
]
}Errors
Common authentication, rate-limit, and service-availability errors are described in the Introduction.